export interface Options {
    /**
     * @default "_bits"
     */
    bitsDirName?: string;
    /**
     * @default "./documents"
     */
    root?: string;
    /**
     * @default "./dist/documents"
     */
    outputDir?: string;
}
export declare enum DefaultOptions {
    BitsDirName = "_bits",
    Root = "./documents",
    OutputDir = "./dist/documents"
}
/**
 * Replaces markdown bits in Markdown files that live within `${options.root}`.
 * Searches for bits that match the format `${bit-name}` with content
 * from `${options.bitsDirName}/${bit-name}.md` within the same folder.
 * @param options
 */
export declare function replaceBits({ bitsDirName, root, outputDir, }?: Options): Promise<void[]>;
